# Generated by Django 4.2.11 on 2024-05-14 07:51

from django.db import migrations


def change_event_type_to_a_list_in_filter(apps, schema_editor):
    Filter = apps.get_model("argus_notificationprofile", "Filter")

    for filter_ in Filter.objects.filter(filter__event_type__isnull=False):
        if filter_.filter["event_type"]:
            filter_.filter["event_types"] = [filter_.filter["event_type"]]
            filter_.save()
        del filter_.filter["event_type"]
        filter_.save()


def change_event_types_to_a_string_in_filter(apps, schema_editor):
    # will lose data
    Filter = apps.get_model("argus_notificationprofile", "Filter")

    for filter_ in Filter.objects.filter(filter__event_types__isnull=False):
        if filter_.filter["event_types"]:
            filter_.filter["event_type"] = filter_.filter["event_types"][0]
            filter_.save()
        del filter_.filter["event_types"]
        filter_.save()


class Migration(migrations.Migration):
    dependencies = [
        ("argus_notificationprofile", "0016_noop"),
    ]

    operations = [
        migrations.RunPython(
            change_event_type_to_a_list_in_filter,
            change_event_types_to_a_string_in_filter,
        )
    ]
